## python-pysearch 3.1

=== Makefile ===
#
# $Id: Makefile,v 1.12 2005/10/27 18:07:59 zwoop Exp $
#
# Simple Makefile to build packages, run tests, generate docs etc.
# Not very advanced, but it does the job for now ...
#


#
# Building, packaging and registration
#
.PHONY : build install dist register clean

build:
	python setup.py build

install:
	python setup.py install

dist:
	cp yahoo/search/ChangeLog ChangeLog
	python setup.py sdist --formats=gztar
	rm ChangeLog

register:
	python setup.py register

clean:
	rm -rf dist build


#
# Tests and docs
#
VPATH = yahoo/search:yahoo/search/dom
PYTHONPATH = ..

docs/yahoo.search.dom.%.html : dom/%.py yahoo/search/dom/__init__.py
	pydoc -w yahoo.search.dom.`basename $< .py`
	mv `basename $@` $@

docs/yahoo.search.%.html : %.py yahoo/search/__init__.py
	pydoc -w yahoo.search.`basename $< .py`
	mv `basename $@` $@

.PHONY : test docs

test:
	@cd test && gmake

pylint:
	@pylint --rcfile=pylint.rc yahoo/search/*.py yahoo/search/dom/*.py

docs:	docs/yahoo.search.html \
	docs/yahoo.search.web.html \
	docs/yahoo.search.news.html \
	docs/yahoo.search.image.html \
	docs/yahoo.search.video.html \
	docs/yahoo.search.local.html \
	docs/yahoo.search.term.html \
	docs/yahoo.search.myweb.html \
	docs/yahoo.search.audio.html \
	docs/yahoo.search.site.html \
	docs/yahoo.search.parser.html \
	docs/yahoo.search.factory.html \
	docs/yahoo.search.debug.html \
	docs/yahoo.search.version.html \
	docs/yahoo.search.webservices.html \
	docs/yahoo.search.dom.html \
	docs/yahoo.search.dom.web.html \
	docs/yahoo.search.dom.news.html \
	docs/yahoo.search.dom.image.html \
	docs/yahoo.search.dom.video.html \
	docs/yahoo.search.dom.local.html \
	docs/yahoo.search.dom.term.html \
	docs/yahoo.search.dom.myweb.html \
	docs/yahoo.search.dom.audio.html \
	docs/yahoo.search.dom.site.html \
	docs/index.html \
	docs/yahoo.html


docs/yahoo.search.html: yahoo/search/__init__.py
	pydoc -w yahoo.search
	mv `basename $@` $@

docs/yahoo.search.dom.html: yahoo/search/dom/__init__.py
	pydoc -w yahoo.search.dom
	mv `basename $@` $@

docs/yahoo.html: yahoo/__init__.py
	pydoc -w yahoo
	mv `basename $@` $@

docs/index.html: docs/yahoo.search.html
	cp $< $@

push:
	rsync -az -e ssh docs/ shell.sf.net:pysearch/htdocs/docs

=== debian/changelog ===
python-pysearch (3.1-3) unstable; urgency=medium

  * QA upload
  * Set Maintainer to Debian QA Group <packages@qa.debian.org> (cf. #700553)
  * Drop now useless transitional python-pysearch package
  * Bump Standard to 3.9.5
  * Convert copyright to format 1.0
  * Convert to dh short rules and current Python packaging practices
    Closes: #731117

 -- David Prévot <taffit@debian.org>  Wed, 25 Dec 2013 21:34:47 -0400

python-pysearch (3.1-2) unstable; urgency=low

  * Team upload

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Andrea Colangelo ]
  * Convert to python2. Thanks to Colin Watson for forwarding the patch from
    Ubuntu (Closes: #617022).

 -- Andrea Colangelo <warp10@ubuntu.com>  Wed, 26 Jun 2013 12:16:31 +0200

python-pysearch (3.1-1.1) unstable; urgency=low

  * NMU. Rebuild to move files to /usr/share/pyshared. Closes: #490497.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Jul 2008 15:41:07 +0000

python-pysearch (3.1-1) unstable; urgency=low

  * New upstream version
  * Rename binary package to python-yahoo
    (to conform to the Debian Python Policy)
  * Add Debian Python Modules Team to Uploaders
  * Add Vcs-Browser and Vcs-Svn fields to debian/control

 -- Thomas Bläsing <thomasbl@pool.math.tu-berlin.de>  Sat, 16 Feb 2008 20:37:47 +0100

python-pysearch (3.0-1) unstable; urgency=low

  * Closes Bug #377153

 -- Thomas Bläsing <thomasbl@pool.math.tu-berlin.de>  Tue, 03 Jul 2007 17:18:40 +0200

=== debian/control ===
Source: python-pysearch
Section: python
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), dh-python, python-all, python-setuptools
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-pysearch/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-pysearch/trunk/
Homepage: http://pysearch.sourceforge.net/

Package: python-yahoo
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Python module for the Yahoo Search Web Service
 This module implements a set of classes and functions to work with the
 Yahoo Search Web Services. All results from these services are properly
 formatted XML, and this package facilitates for correct parsing of these
 result sets.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=yahoo
%:
	dh $@ --with python2 --buildsystem=pybuild

=== debian/watch ===
version=2
http://sf.net/pysearch/pYsearch-(.+)\.tar\.gz
